org.apache.hadoop.yarn.nodelabels

## Interface NodeAttributeStore

- All Superinterfaces:
    AutoCloseable, Closeable

      public interface NodeAttributeStore
      extends Closeable

  Interface class for Node label store.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)` Add attribute to node.
    `void` | `init(org.apache.hadoop.conf.Configuration configuration, NodeAttributesManager mgr)` Initialize based on configuration and NodeAttributesManager.
    `void` | `recover()` Recover store on resourcemanager startup.
    `void` | `removeNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)` Remove attribute from node.
    `void` | `replaceNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)` Replace labels on node.

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Method Detail

    - #### replaceNodeAttributes

          void replaceNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)
                              throws IOException

      Replace labels on node.
      Parameters:
        `nodeToAttribute` - node to attribute list.
      Throws:
        `IOException`

    - #### addNodeAttributes

          void addNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)
                          throws IOException

      Add attribute to node.
      Parameters:
        `nodeToAttribute` - node to attribute list.
      Throws:
        `IOException`

    - #### removeNodeAttributes

          void removeNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)
                             throws IOException

      Remove attribute from node.
      Parameters:
        `nodeToAttribute` - node to attribute list.
      Throws:
        `IOException`

    - #### init

          void init(org.apache.hadoop.conf.Configuration configuration,
                    NodeAttributesManager mgr)
             throws Exception

      Initialize based on configuration and NodeAttributesManager.
      Parameters:
        `configuration` - configuration instance.
        `mgr` - nodeattributemanager instance.
      Throws:
        `Exception`

    - #### recover

          void recover()
                throws IOException,
                       org.apache.hadoop.yarn.exceptions.YarnException

      Recover store on resourcemanager startup.
      Throws:
        `IOException`
        `org.apache.hadoop.yarn.exceptions.YarnException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.